API ReferenceSections
Search sections
Search sections with filters, search terms, includes, and sort instructions in a JSON request body.
Search sections with filters, search terms, includes, and sort instructions in a JSON request body.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
Idempotency-Key?stringReuse this key only for an identical retry. A replay returns Idempotent-Replayed: true.
Length
8 <= length <= 255X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
filters?array<|>sort?array<>search?includes?array<>Successful response.
application/json- response
data*array<>links*meta*curl -X POST 'https://sell.app/api/v2/sections/search' \ -H 'Idempotency-Key: project-library-2026-09-04' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "filters": [ { "field": "id", "operator": "=", "value": 1 } ], "sort": [ { "field": "created_at", "direction": "desc" } ]}'{ "data": [ { "id": 1, "title": "Dissection", "slug": "dissection", "hidden": false, "order": 1, "created_at": "2022-12-12T12:12:12.000000Z", "updated_at": "2022-12-12T12:12:12.000000Z", "store_id": 1, "groups_linked": 1, "products_linked": 1, "groups": [ { "id": 1, "title": "Project Planning Toolkit", "group_products": 1 } ], "products": [ { "id": "1", "title": "Project Planning Guide", "description": "Includes practical examples and a downloadable checklist." } ] } ], "links": { "first": "https://sell.app/api/v2/sections/search?page=1", "last": "https://sell.app/api/v2/sections/search?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://sell.app/api/v2/sections/search", "per_page": 20, "to": 1, "total": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://sell.app/api/v2/sections/search?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ] }}